package com.sunxung.factoring.entity.supplier;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.sys.FileStorageDO;

import java.util.List;

/**
 * <p>
 * 征信相关情况 企业负责人
 * </p>
 *
 * @author liutao
 * @since 2023-11-25
 */
@TableName("c_credit_investigation_info")
public class CreditInvestigationInfo {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 企业信息id
     */
    @TableField("c_enterprise_id")
    private Long cEnterpriseId;

    /**
     * 身份类型
     */
    @TableField("type")
    private String type;

    /**
     * 姓名
     */
    @TableField("name")
    private String name;

    /**
     * 身份证号码
     */
    @TableField("social_credit_code")
    private String socialCreditCode;

    @TableField(exist = false)
    private List<Long> fileList;
    @TableField(exist = false)
    private FileStorageDO front;
    @TableField(exist = false)
    private FileStorageDO back;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public List<Long> getFileList() {
        return fileList;
    }

    public void setFileList(List<Long> fileList) {
        this.fileList = fileList;
    }

    public FileStorageDO getFront() {
        return front;
    }

    public void setFront(FileStorageDO front) {
        this.front = front;
    }

    public FileStorageDO getBack() {
        return back;
    }

    public void setBack(FileStorageDO back) {
        this.back = back;
    }

    public Long getcEnterpriseId() {
        return cEnterpriseId;
    }

    public void setcEnterpriseId(Long cEnterpriseId) {
        this.cEnterpriseId = cEnterpriseId;
    }
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    public String getSocialCreditCode() {
        return socialCreditCode;
    }

    public void setSocialCreditCode(String socialCreditCode) {
        this.socialCreditCode = socialCreditCode;
    }

    @Override
    public String toString() {
        return "CCreditInvestigationInfo{" +
            "cEnterpriseId=" + cEnterpriseId +
            ", type=" + type +
            ", name=" + name +
            ", socialCreditCode=" + socialCreditCode +
        "}";
    }
}
